Bug 1094299 (CVE-2014-1737, CVE-2014-1738) - CVE-2014-1737 CVE-2014-1738 kernel: block: floppy: privilege escalation via FDRAWCMD floppy ioctl command
Summary: CVE-2014-1737 CVE-2014-1738 kernel: block: floppy: privilege escalation via F...
Status: CLOSED ERRATA
Alias: CVE-2014-1737, CVE-2014-1738
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140507,repo...
Keywords: Security
Depends On: 1094302 1094303 1094304 1094306 1094308 1094310 1094311 1094312 1094313 1094314 1094315 1094316 1094318 1096195
Blocks: 1094326
TreeView+ depends on / blocked
 
Reported: 2014-05-05 12:56 UTC by Petr Matousek
Modified: 2019-06-08 20:02 UTC (History)
23 users (show)

(edit)
A flaw was found in the way the Linux kernel's floppy driver handled user space provided data in certain error code paths while processing FDRAWCMD IOCTL commands. A local user with write access to /dev/fdX could use this flaw to free (using the kfree() function) arbitrary kernel memory. (CVE-2014-1737, Important)

It was found that the Linux kernel's floppy driver leaked internal kernel memory addresses to user space during the processing of the FDRAWCMD IOCTL command. A local user with write access to /dev/fdX could use this flaw to obtain information about the kernel heap arrangement. (CVE-2014-1738, Low)

Note: A local user with write access to /dev/fdX could use these two flaws (CVE-2014-1737 in combination with CVE-2014-1738) to escalate their privileges on the system.
Clone Of:
(edit)
Last Closed: 2014-07-17 05:33:46 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0557 normal SHIPPED_LIVE Important: kernel-rt security update 2014-05-27 20:25:52 UTC
Red Hat Product Errata RHSA-2014:0740 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-06-11 00:44:50 UTC
Red Hat Product Errata RHSA-2014:0771 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-06-19 21:52:21 UTC
Red Hat Product Errata RHSA-2014:0772 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-06-19 22:02:46 UTC
Red Hat Product Errata RHSA-2014:0786 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-06-24 19:58:32 UTC
Red Hat Product Errata RHSA-2014:0800 normal SHIPPED_LIVE Important: kernel security update 2014-06-26 21:07:32 UTC
Red Hat Product Errata RHSA-2014:0801 normal SHIPPED_LIVE Important: kernel security update 2014-06-26 21:17:43 UTC
Red Hat Product Errata RHSA-2014:0900 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-07-17 19:32:34 UTC

Description Petr Matousek 2014-05-05 12:56:28 UTC
A flaw was found in the way Linux kernel's floppy driver treated userspace provided data in certain error code path while processing FDRAWCMD ioctl command. An local user with write access to /dev/fdX could use this flaw to kfree() arbitrary data. (CVE-2014-1737)

It was found that Linux kernel's floppy driver leaked internal kernel memory addresses to userspace during processing of FDRAWCMD ioctl command. An local user with write access to /dev/fdX could use this flaw to get information about kernel heap arrangment. (CVE-2014-1738)

An local user with write access to /dev/fdX could use these two flaws (CVE-2014-1737 in combination with CVE-2014-1738) to escalate their privileges on the system. 

Acknowledgements:

Red Hat would like to thank Matthew Daley for reporting these issues.

Comment 7 Petr Matousek 2014-05-09 12:04:28 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1096195]

Comment 8 Fedora Update System 2014-05-16 10:04:26 UTC
kernel-3.14.4-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-05-21 23:22:17 UTC
kernel-3.14.4-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2014-05-27 16:28:35 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0557 https://rhn.redhat.com/errata/RHSA-2014-0557.html

Comment 11 errata-xmlrpc 2014-06-10 20:46:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0740 https://rhn.redhat.com/errata/RHSA-2014-0740.html

Comment 12 errata-xmlrpc 2014-06-19 17:53:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0771 https://rhn.redhat.com/errata/RHSA-2014-0771.html

Comment 13 errata-xmlrpc 2014-06-19 18:03:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.9 EUS - Server Only

Via RHSA-2014:0772 https://rhn.redhat.com/errata/RHSA-2014-0772.html

Comment 14 errata-xmlrpc 2014-06-24 15:59:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0786 https://rhn.redhat.com/errata/RHSA-2014-0786.html

Comment 15 errata-xmlrpc 2014-06-26 17:08:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2014:0800 https://rhn.redhat.com/errata/RHSA-2014-0800.html

Comment 16 errata-xmlrpc 2014-06-26 17:17:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 Long Life

Via RHSA-2014:0801 https://rhn.redhat.com/errata/RHSA-2014-0801.html

Comment 17 Martin Prpič 2014-07-16 08:16:12 UTC
IssueDescription CVE-2014-1737:

A flaw was found in the way the Linux kernel's floppy driver handled user space provided data in certain error code paths while processing FDRAWCMD IOCTL commands. A local user with write access to /dev/fdX could use this flaw to free (using the kfree() function) arbitrary kernel memory.

Note: A local user with write access to /dev/fdX could use CVE-2014-1737 in combination with CVE-2014-1738 to escalate their privileges on the system.

IssueDescription CVE-2014-1738:

It was found that the Linux kernel's floppy driver leaked internal kernel memory addresses to user space during the processing of the FDRAWCMD IOCTL command. A local user with write access to /dev/fdX could use this flaw to obtain information about the kernel heap arrangement.

Note: A local user with write access to /dev/fdX could use CVE-2014-1737 in combination with CVE-2014-1738 to escalate their privileges on the system.

Comment 18 errata-xmlrpc 2014-07-17 15:32:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0900 https://rhn.redhat.com/errata/RHSA-2014-0900.html

Comment 19 Vincent Danen 2014-07-17 15:45:18 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.